﻿using System;
using ControlWeight.WCF;

/*
 * 	Author: 	J.Fàbregas
 *	Projecte:	Control del pes per a les entrades/sortides de vehicles amb Matèria Primera
 *	Objectiu:   Permet fer el CRUD amb la taula d'Articles amb les dades provinents de la lectura del fitxer de materies.
 *	Modificat:  Gener-2015
*/

namespace ControlWeight.BL
{
    public class GestioComandes
    {
        public static Boolean GravarRegistre(String cTipus, Pedido com)
        {
            ServiceReference1.ServicioControlWeightClient client = new ServiceReference1.ServicioControlWeightClient();

            Boolean bResultat;
            bResultat = true;
            switch (cTipus)
            {
                case "U":
                    //if (client.ActualitzarComanda(com.Fabrica ,com.Pedido1, com.Descripcion))
                    //{
                    //    bResultat = true;
                    //}
                    //else
                    //{
                    //    bResultat = false;
                    //}
                    break;
                case "I":
                    if (client.AfegirComanda(com))
                    {
                        bResultat = true;
                    }
                    else
                    {
                        bResultat = false;
                    }
                    break;
                case "D":
                    if (client.EliminarComanda(com.Pedido1))
                    {
                        bResultat = true;
                    }
                    else
                    {
                        bResultat = false;
                    }
                    break;
                default:
                    bResultat = false;
                    break;
            }
            return bResultat;
        }

        public static Boolean ConsultarRegistre(Pedido com)
        {
            ServiceReference1.ServicioControlWeightClient client = new ServiceReference1.ServicioControlWeightClient();

            Boolean bResultat;
            bResultat = false;

            foreach (var q in client.ConsultarComanda(com))
            {
                if (q.Pedido1 != null)
                    bResultat = true;
            }
            return bResultat;
        }

    }
}
