﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ControlWeight.WCF;

/*
 * 	Author: 	J.Fàbregas
 *	Projecte:	Control del pes per a les entrades/sortides de vehicles amb Matèria Primera
 *	Objectiu:   Permet fer el CRUD de la taula de tipus de càrrega.
 *	Modificat:  Gener-2015
*/

namespace ControlWeight.BL
{
    public class GestioTipusCarrega
    {
        public static String ConsultarTipusCarrega(String tc)
        {
            ServiceReference1.ServicioControlWeightClient client = new ServiceReference1.ServicioControlWeightClient();

            String bResultat;
            bResultat = "";

            foreach (var q in client.ConsultarTipusCarrega(tc))
            {
                if (q.Codigo != null)
                    bResultat = q.Descripcion;
            }
            return bResultat;
        }
    }
}
